<?php
function mobilerepaircenter_blog_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'mobilerepaircenter_frontpage_sections', array(
			'priority' => 32,
			'title' => esc_html__( 'Frontpage Sections', 'mobile-repair-center' ),
		)
	);
	

	/*=========================================
	Slider Section
	=========================================*/
	$wp_customize->add_section(
		'slider_setting', array(
			'title' => esc_html__( 'Slider Section', 'mobile-repair-center' ),
			'description'=> __('<a>Note :</a> Image Size Should Be 1500*800','mobile-repair-center'),
			'priority' => 1,
			'panel' => 'mobilerepaircenter_frontpage_sections',
		)
	);


	$wp_customize->add_setting('mobilerepaircenter_slider_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new mobilerepaircenter_Tab_Control($wp_customize, 'mobilerepaircenter_slider_tabs', array(
	   'section' => 'slider_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'mobile-repair-center'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'slider1',
            	'slider2',
            	'slider3',
            	'slider4',
            	'slider5',
            	'slider6',
				'slider_btntext1',
				'slider_btnlink1',
				'slider_btntext2',
				'slider_btnlink2'
            ),
            'active' => true,
         ), 
	      array(
            'name' => esc_html__('Style', 'mobile-repair-center'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'slider_titlecolor',
                'slider_descriptioncolor',
                'slider_btntxt1color',
				'slider_btntxthrvcolor',
				'slider_btntxt2color',
				'slider_btn2bgcolor',
				'slider_btn2txthrvcolor',
				'slider_arrowiconcolor',
				'slider_arrowiconbgcolor',
				'slider_arrowiconhrvcolor'

            ),
     	)
	    
    	),
	))); 


	

	// General Tab

	// Slider 1
	$wp_customize->add_setting( 
    	'slider1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider1',
		array(
		    'label'   		=> __('Slider 1','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		



	// Slider 2
	$wp_customize->add_setting(
    	'slider2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'slider2',
		array(
		    'label'   		=> __('Slider 2','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 3
	$wp_customize->add_setting(
    	'slider3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'slider3',
		array(
		    'label'   		=> __('Slider 3','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// Slider 4
	$wp_customize->add_setting(
    	'slider4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'slider4',
		array(
		    'label'   		=> __('Slider 4','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);



	// Slider 5
	$wp_customize->add_setting(
    	'slider5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider5',
		array(
		    'label'   		=> __('Slider 5','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// Slider 6
	$wp_customize->add_setting(
    	'slider6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider6',
		array(
		    'label'   		=> __('Slider 6','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntext1
	$sliderbtntext1 = esc_html__('Learn More', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_btntext1',
    	array(
			'default' => $sliderbtntext1,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntext1',
		array(
		    'label'   		=> __('Button 1 Text','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// slider btnlink1
	$sliderbtnlink1 = esc_html__('#', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_btnlink1',
    	array(
			'default' => $sliderbtnlink1,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnlink1',
		array(
		    'label'   		=> __('Button 1 Link','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntext2
	$sliderbtntext2 = esc_html__('See All Services', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_btntext2',
    	array(
			'default' => $sliderbtntext2,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntext2',
		array(
		    'label'   		=> __('Button 2 Text','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// slider btnlink2
	$sliderbtnlink2 = esc_html__('#', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_btnlink2',
    	array(
			'default' => $sliderbtnlink2,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'slider_btnlink2',
		array(
		    'label'   		=> __('Button 2 Link','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);



	// Style setting

	// slider title Color
	$slidertitlecolor = esc_html__('#fff', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_titlecolor',
    	array(
			'default' => $slidertitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_titlecolor',
		array(
		    'label'   		=> __('Title Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// slider description Color
	$sliderdescriptioncolor = esc_html__('#fff', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_descriptioncolor',
    	array(
			'default' => $sliderdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt1 Color
	$sliderbtntxt1color = esc_html__('#fff', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_btntxt1color',
    	array(
			'default' => $sliderbtntxt1color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt1color',
		array(
		    'label'   		=> __('Button 1 Text Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxthrv Color
	$sliderbtntxthrvcolor = esc_html__('#000', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_btntxthrvcolor',
    	array(
			'default' => $sliderbtntxthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxthrvcolor',
		array(
		    'label'   		=> __('Button 2 Text Hover Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btntxt2 Color
	$sliderbtntxt2color = esc_html__('#064274', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_btntxt2color',
    	array(
			'default' => $sliderbtntxt2color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btntxt2color',
		array(
		    'label'   		=> __('Button 2 Text Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btn2bg Color
	$sliderbtn2bgcolor = esc_html__('#fff', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_btn2bgcolor',
    	array(
			'default' => $sliderbtn2bgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btn2bgcolor',
		array(
		    'label'   		=> __('Button 2 BG Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider btn2txthrv Color
	$sliderbtn2txthrvcolor = esc_html__('#000', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_btn2txthrvcolor',
    	array(
			'default' => $sliderbtn2txthrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_btn2txthrvcolor',
		array(
		    'label'   		=> __('Button 2 Text Hover Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowicon Color
	$sliderarrowiconcolor = esc_html__('#fff', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_arrowiconcolor',
    	array(
			'default' => $sliderarrowiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconcolor',
		array(
		    'label'   		=> __('Arrows Icon Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowiconbg Color
	$sliderarrowiconbgcolor = esc_html__('#064273', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_arrowiconbgcolor',
    	array(
			'default' => $sliderarrowiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconbgcolor',
		array(
		    'label'   		=> __('Arrows Icon BG Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// slider arrowiconhrv Color
	$sliderarrowiconhrvcolor = esc_html__('#F27A0A', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'slider_arrowiconhrvcolor',
    	array(
			'default' => $sliderarrowiconhrvcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'slider_arrowiconhrvcolor',
		array(
		    'label'   		=> __('Arrows Icon Hover Color','mobile-repair-center'),
		    'section'		=> 'slider_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	

	/*=========================================
	feature Section
	=========================================*/
	$wp_customize->add_section(
		'feature_setting', array(
			'title' => esc_html__( 'Feature Section', 'mobile-repair-center' ),
			'priority' => 2,
			'panel' => 'mobilerepaircenter_frontpage_sections',
		)
	);
	

	$wp_customize->add_setting('mobilerepaircenter_feature_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new mobilerepaircenter_Tab_Control($wp_customize, 'mobilerepaircenter_feature_tabs', array(
	   'section' => 'feature_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'mobile-repair-center'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'feature_disable_section',
				'feature_heading',
            	'feature1',
				'featureicon1',
            	'feature2',
				'featureicon2',
            	'feature3',
				'featureicon3',
				'feature4',
				'featureicon4',
            	'feature5',
				'featureicon5',
            	'feature6',
				'featureicon6',
				'feature7',
				'featureicon7',
				'feature8',
				'featureicon8',
				'feature9',
				'featureicon9',
				'feature10',
				'featureicon10'
            ),
            'active' => true,
         ),
	      array(
            'name' => esc_html__('Style', 'mobile-repair-center'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
            	'feature_headingcolor',
				'feature_iconcolor',
				'feature_titlecolor'
            ),
     	)
	    
    	),
	))); 



	// General

	// hide show feature section
	$wp_customize->add_setting(
        'feature_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new mobilerepaircenter_Toggle_Switch_Custom_Control(
            $wp_customize,
            'feature_disable_section',
            array(
                'settings'      => 'feature_disable_section',
                'section'       => 'feature_setting',
                'label'         => __( 'Disable Section', 'mobile-repair-center' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'mobile-repair-center' ),
                    'off' => __( 'No', 'mobile-repair-center' )
                ),
            )
        )
    );


	// feature_heading
	$wp_customize->add_setting(
		'feature_heading',
		array(
			'default' => 'A Wide Range Of Services',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'feature_heading',
		array(
			'label'   		=> __('Heading','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// feature 1
	$wp_customize->add_setting( 
    	'feature1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'feature1',
		array(
		    'label'   		=> __('Feature 1','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// featureicon1
	$wp_customize->add_setting(
		'featureicon1',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon1',
		array(
			'label'   		=> __('Feature 1 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);		

	// feature 2
	$wp_customize->add_setting(
    	'feature2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'feature2',
		array(
		    'label'   		=> __('Feature 2','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon2
	$wp_customize->add_setting(
		'featureicon2',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon2',
		array(
			'label'   		=> __('Feature 2 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 3
	$wp_customize->add_setting(
    	'feature3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'feature3',
		array(
		    'label'   		=> __('Feature 3','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon3
	$wp_customize->add_setting(
		'featureicon3',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon3',
		array(
			'label'   		=> __('Feature 3 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 4
	$wp_customize->add_setting( 
    	'feature4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature4',
		array(
		    'label'   		=> __('Feature 4','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// featureicon4
	$wp_customize->add_setting(
		'featureicon4',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon4',
		array(
			'label'   		=> __('Feature 4 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 5
	$wp_customize->add_setting(
    	'feature5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'feature5',
		array(
		    'label'   		=> __('Feature 5','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon5
	$wp_customize->add_setting(
		'featureicon5',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon5',
		array(
			'label'   		=> __('Feature 5 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 6
	$wp_customize->add_setting(
    	'feature6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'feature6',
		array(
		    'label'   		=> __('Feature 6','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon6
	$wp_customize->add_setting(
		'featureicon6',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon6',
		array(
			'label'   		=> __('Feature 6 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 7
	$wp_customize->add_setting(
    	'feature7',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 7,
		)
	);	

	$wp_customize->add_control( 
		'feature7',
		array(
		    'label'   		=> __('Feature 7','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon7
	$wp_customize->add_setting(
		'featureicon7',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon7',
		array(
			'label'   		=> __('Feature 7 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 8
	$wp_customize->add_setting(
    	'feature8',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 8,
		)
	);	

	$wp_customize->add_control( 
		'feature8',
		array(
		    'label'   		=> __('Feature 8','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon8
	$wp_customize->add_setting(
		'featureicon8',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon8',
		array(
			'label'   		=> __('Feature 8 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 9
	$wp_customize->add_setting(
    	'feature9',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 9,
		)
	);	

	$wp_customize->add_control( 
		'feature9',
		array(
		    'label'   		=> __('Feature 9','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon9
	$wp_customize->add_setting(
		'featureicon9',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon9',
		array(
			'label'   		=> __('Feature 9 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// feature 10
	$wp_customize->add_setting(
    	'feature10',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 10,
		)
	);	

	$wp_customize->add_control( 
		'feature10',
		array(
		    'label'   		=> __('Feature 10','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// featureicon10
	$wp_customize->add_setting(
		'featureicon10',
		array(
			'default' => 'fa fa-camera',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'featureicon10',
		array(
			'label'   		=> __('Feature 10 Icon','mobile-repair-center'),
			'section'		=> 'feature_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);


	// style

	// feature heading color
	$featureheadingcolor = esc_html__('#064273', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'feature_headingcolor',
    	array(
			'default' => $featureheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_headingcolor',
		array(
		    'label'   		=> __('Heading Color','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature icon color
	$featureiconcolor = esc_html__('#064273', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'feature_iconcolor',
    	array(
			'default' => $featureiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_iconcolor',
		array(
		    'label'   		=> __('Icon Color','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// feature title color
	$featuretitlecolor = esc_html__('#000', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'feature_titlecolor',
    	array(
			'default' => $featuretitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'feature_titlecolor',
		array(
		    'label'   		=> __('Title Color','mobile-repair-center'),
		    'section'		=> 'feature_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);



	/*=========================================
	ourservice Section
	=========================================*/
	$wp_customize->add_section(
		'ourservice_setting', array(
			'title' => esc_html__( 'Our Service Section', 'mobile-repair-center' ),
			'priority' => 2,
			'panel' => 'mobilerepaircenter_frontpage_sections',
		)
	);
	

	$wp_customize->add_setting('mobilerepaircenter_ourservice_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new mobilerepaircenter_Tab_Control($wp_customize, 'mobilerepaircenter_ourservice_tabs', array(
	   'section' => 'ourservice_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'mobile-repair-center'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
            	'ourservice_disable_section',
				'ourservice_heading',
            	'ourservice1',
            	'ourservice2',
            	'ourservice3',
				'ourservice4',
            	'ourservice5',
            	'ourservice6'
            ),
            'active' => true,
         ),
	      array(
            'name' => esc_html__('Style', 'mobile-repair-center'),
        	'icon' => 'dashicons dashicons-art',
            'fields' => array(
            	'ourservice_headingcolor',
            	'ourservice_boxtitlecolor',
				'ourservice_boxdescriptioncolor'
            ),
     	)
	    
    	),
	))); 



	// General

	// hide show ourservice section
	$wp_customize->add_setting(
        'ourservice_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new mobilerepaircenter_Toggle_Switch_Custom_Control(
            $wp_customize,
            'ourservice_disable_section',
            array(
                'settings'      => 'ourservice_disable_section',
                'section'       => 'ourservice_setting',
                'label'         => __( 'Disable Section', 'mobile-repair-center' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'mobile-repair-center' ),
                    'off' => __( 'No', 'mobile-repair-center' )
                ),
            )
        )
    );


	// ourservice_heading
	$wp_customize->add_setting(
		'ourservice_heading',
		array(
			'default' => 'A Wide Range Of Services',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_heading',
		array(
			'label'   		=> __('Heading','mobile-repair-center'),
			'section'		=> 'ourservice_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice 1
	$wp_customize->add_setting( 
    	'ourservice1',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'ourservice1',
		array(
		    'label'   		=> __('Our Service 1','mobile-repair-center'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// ourservice 2
	$wp_customize->add_setting(
    	'ourservice2',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 2,
		)
	);	

	$wp_customize->add_control( 
		'ourservice2',
		array(
		    'label'   		=> __('Our Service 2','mobile-repair-center'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// ourservice 3
	$wp_customize->add_setting(
    	'ourservice3',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'ourservice3',
		array(
		    'label'   		=> __('Our Service 3','mobile-repair-center'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	

	// ourservice 4
	$wp_customize->add_setting( 
    	'ourservice4',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice4',
		array(
		    'label'   		=> __('Our Service 4','mobile-repair-center'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);		

	// ourservice 5
	$wp_customize->add_setting(
    	'ourservice5',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 5,
		)
	);	

	$wp_customize->add_control( 
		'ourservice5',
		array(
		    'label'   		=> __('Our Service 5','mobile-repair-center'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// ourservice 6
	$wp_customize->add_setting(
    	'ourservice6',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 6,
		)
	);	

	$wp_customize->add_control( 
		'ourservice6',
		array(
		    'label'   		=> __('Our Service 6','mobile-repair-center'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'dropdown-pages',
			'transport'         => $selective_refresh,
		)  
	);	


	// style

	// ourservice heading color
	$ourserviceheadingcolor = esc_html__('#064273', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'ourservice_headingcolor',
    	array(
			'default' => $ourserviceheadingcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_headingcolor',
		array(
		    'label'   		=> __('Heading Color','mobile-repair-center'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice boxtitle color
	$ourserviceboxtitlecolor = esc_html__('#064274', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'ourservice_boxtitlecolor',
    	array(
			'default' => $ourserviceboxtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_boxtitlecolor',
		array(
		    'label'   		=> __('Box Title Color','mobile-repair-center'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// ourservice boxdescription color
	$ourserviceboxdescriptioncolor = esc_html__('#908e8e', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'ourservice_boxdescriptioncolor',
    	array(
			'default' => $ourserviceboxdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);	

	$wp_customize->add_control( 
		'ourservice_boxdescriptioncolor',
		array(
		    'label'   		=> __('Box Description Color','mobile-repair-center'),
		    'section'		=> 'ourservice_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	/*=========================================
	aboutus Section
	=========================================*/
	$wp_customize->add_section(
		'aboutus_setting', array(
			'title' => esc_html__( 'AboutUs Section', 'mobile-repair-center' ),
			'priority' => 2,
			'panel' => 'mobilerepaircenter_frontpage_sections',
		)
	);

	$wp_customize->add_setting('mobilerepaircenter_aboutus_tabs', array(
	   'sanitize_callback' => 'wp_kses_post',
	));

	$wp_customize->add_control(new mobilerepaircenter_Tab_Control($wp_customize, 'mobilerepaircenter_aboutus_tabs', array(
	   'section' => 'aboutus_setting',
	   'priority' => 2,
	   'buttons' => array(
	      array(
         	'name' => esc_html__('General', 'mobile-repair-center'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
				'aboutus_disable_section',
				'aboutus_image',
				'aboutus_phonenumbox',
				'aboutus_subtitle',
				'aboutus_title',
				'aboutus_description',
				'aboutus_list1',
				'aboutus_list2',
				'aboutus_list3',
				'aboutus_list4',
				'aboutus_list5',
				'aboutus_list6',
				'aboutus_box1number',
				'aboutus_box1text',
				'aboutus_box2number',
				'aboutus_box2text',
				'aboutus_box3number',
				'aboutus_box3text',
				'aboutus_box4number',
				'aboutus_box4text'
            ),
            'active' => true,
		),
		array(
		'name' => esc_html__('Style', 'mobile-repair-center'),
		'icon' => 'dashicons dashicons-art',
		'fields' => array(
			'aboutus_subtitlecolor',
			'aboutus_subtitlebordercolor',
			'aboutus_titlecolor',
			'aboutus_descriptioncolor',
			'aboutus_listiconcolor',
			'aboutus_listcolor',
			'aboutus_boxnumbercolor',
			'aboutus_boxtitle_color',
			'aboutus_boxbg_color',
			'aboutus_phonenumiconcolor',
			'aboutus_phonenumiconbgcolor',
			'aboutus_phonenumcolor',
			'aboutus_phonenumbgcolor'
		),
     	)
    	),
	))); 


	// hide show aboutus section
	$wp_customize->add_setting(
        'aboutus_disable_section',
        array(
            'sanitize_callback' => 'wp_kses_post',
        )
    ); 
    $wp_customize->add_control(
        new mobilerepaircenter_Toggle_Switch_Custom_Control(
            $wp_customize,
            'aboutus_disable_section',
            array(
                'settings'      => 'aboutus_disable_section',
                'section'       => 'aboutus_setting',
                'label'         => __( 'Disable Section', 'mobile-repair-center' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'mobile-repair-center' ),
                    'off' => __( 'No', 'mobile-repair-center' )
                ),
            )
        )
    );

	// aboutus_image
	$wp_customize->add_setting(
    	'aboutus_image',
	    array(
	        'sanitize_callback' => 'esc_url_raw'
	    )
	);
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'aboutus_image',
	        array(
			    'label'   		=> __('Image 1','mobile-repair-center'),
				'description'=> __('Image Size Should Be 621*589','mobile-repair-center'),
	            'section' => 'aboutus_setting',
	            'settings' => 'aboutus_image'
	        )
	    )
	);

	// aboutus_phonenumbox
	$wp_customize->add_setting(
    	'aboutus_phonenumbox',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_phonenumbox',
		array(
		    'label'   		=> __('Phone Number','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus_subtitle
	$wp_customize->add_setting(
    	'aboutus_subtitle',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_subtitle',
		array(
		    'label'   		=> __('Sub Title','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_title
	$wp_customize->add_setting(
    	'aboutus_title',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_title',
		array(
		    'label'   		=> __('Title','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_description
	$wp_customize->add_setting(
    	'aboutus_description',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_description',
		array(
		    'label'   		=> __('Description','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list1
	$wp_customize->add_setting(
    	'aboutus_list1',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list1',
		array(
		    'label'   		=> __('List 1','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list2
	$wp_customize->add_setting(
    	'aboutus_list2',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list2',
		array(
		    'label'   		=> __('List 2','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// aboutus_list3
	$wp_customize->add_setting(
    	'aboutus_list3',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list3',
		array(
		    'label'   		=> __('List 3','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// aboutus_list4
	$wp_customize->add_setting(
    	'aboutus_list4',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list4',
		array(
		    'label'   		=> __('List 4','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_list5
	$wp_customize->add_setting(
    	'aboutus_list5',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list5',
		array(
		    'label'   		=> __('List 5','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	


	// aboutus_list6
	$wp_customize->add_setting(
    	'aboutus_list6',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_list6',
		array(
		    'label'   		=> __('List 6','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	
	
	// aboutus_box1number
	$wp_customize->add_setting(
    	'aboutus_box1number',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_box1number',
		array(
		    'label'   		=> __('Box 1 Number','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_box1text
	$wp_customize->add_setting(
    	'aboutus_box1text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_box1text',
		array(
		    'label'   		=> __('Box 1 Text','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_box2number
	$wp_customize->add_setting(
    	'aboutus_box2number',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_box2number',
		array(
		    'label'   		=> __('Box 2 Number','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_box2text
	$wp_customize->add_setting(
    	'aboutus_box2text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_box2text',
		array(
		    'label'   		=> __('Box 2 Text','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_box3number
	$wp_customize->add_setting(
    	'aboutus_box3number',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_box3number',
		array(
		    'label'   		=> __('Box 3 Number','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_box3text
	$wp_customize->add_setting(
    	'aboutus_box3text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_box3text',
		array(
		    'label'   		=> __('Box 3 Text','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_box4number
	$wp_customize->add_setting(
    	'aboutus_box4number',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_box4number',
		array(
		    'label'   		=> __('Box 4 Number','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	

	// aboutus_box4text
	$wp_customize->add_setting(
    	'aboutus_box4text',
    	array(
			'default' => '',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_box4text',
		array(
		    'label'   		=> __('Box 4 Text','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);	
	
	//style

	// aboutus subtitle Color
	$aboutussubtitlecolor = esc_html__('#000', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_subtitlecolor',
    	array(
			'default' => $aboutussubtitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_subtitlecolor',
		array(
		    'label'   		=> __('Sub Title Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus subtitleborder Color
	$aboutussubtitlebordercolor = esc_html__('#F27A0A', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_subtitlebordercolor',
    	array(
			'default' => $aboutussubtitlebordercolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_subtitlebordercolor',
		array(
		    'label'   		=> __('Sub Title Border Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus title Color
	$aboutustitlecolor = esc_html__('#064273', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_titlecolor',
    	array(
			'default' => $aboutustitlecolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_titlecolor',
		array(
		    'label'   		=> __('Title Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);


	// aboutus description Color
	$aboutusdescriptioncolor = esc_html__('#696868', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_descriptioncolor',
    	array(
			'default' => $aboutusdescriptioncolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_descriptioncolor',
		array(
		    'label'   		=> __('Description Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus listicon Color
	$aboutuslistcolor = esc_html__('#F27A0A', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_listiconcolor',
    	array(
			'default' => $aboutuslistcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_listiconcolor',
		array(
		    'label'   		=> __('List Icon Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus list Color
	$aboutuslistcolor = esc_html__('#000', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_listcolor',
    	array(
			'default' => $aboutuslistcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_listcolor',
		array(
		    'label'   		=> __('List Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus boxnumber Color
	$aboutusboxnumbercolor = esc_html__('#fff', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_boxnumbercolor',
    	array(
			'default' => $aboutusboxnumbercolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxnumbercolor',
		array(
		    'label'   		=> __('Box Number Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus boxtitle_ Color
	$aboutusboxtitle_color = esc_html__('#fff', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_boxtitle_color',
    	array(
			'default' => $aboutusboxtitle_color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxtitle_color',
		array(
		    'label'   		=> __('Box Description Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus boxbg_ Color
	$aboutusboxbg_color = esc_html__('#064273', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_boxbg_color',
    	array(
			'default' => $aboutusboxbg_color,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_boxbg_color',
		array(
		    'label'   		=> __('Box BG Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);
	
	
	// aboutus phonenumicon Color
	$aboutusphonenumiconcolor = esc_html__('#fff', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_phonenumiconcolor',
    	array(
			'default' => $aboutusphonenumiconcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_phonenumiconcolor',
		array(
		    'label'   		=> __('Phone Number Icon Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus phonenumiconbg Color
	$aboutusphonenumiconbgcolor = esc_html__('#F27A0A', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_phonenumiconbgcolor',
    	array(
			'default' => $aboutusphonenumiconbgcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_phonenumiconbgcolor',
		array(
		    'label'   		=> __('Phone Number Icon BG Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus phonenum Color
	$aboutusphonenumcolor = esc_html__('#000', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_phonenumcolor',
    	array(
			'default' => $aboutusphonenumcolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_phonenumcolor',
		array(
		    'label'   		=> __('Phone Number Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	// aboutus phonenumhover Color
	$aboutusphonenumhovercolor = esc_html__('#fff', 'mobile-repair-center' );
	$wp_customize->add_setting(
    	'aboutus_phonenumbgcolor',
    	array(
			'default' => $aboutusphonenumhovercolor,
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 3,
		)
	);	

	$wp_customize->add_control( 
		'aboutus_phonenumbgcolor',
		array(
		    'label'   		=> __('Phone Number BG Color','mobile-repair-center'),
		    'section'		=> 'aboutus_setting',
			'type' 			=> 'color',
			'transport'         => $selective_refresh,
		)  
	);

	
	$wp_customize->register_control_type('mobilerepaircenter_Tab_Control');

}

add_action( 'customize_register', 'mobilerepaircenter_blog_setting' );

// feature selective refresh
function mobilerepaircenter_blog_section_partials( $wp_customize ){	
	// blog_title
	$wp_customize->selective_refresh->add_partial( 'blog_title', array(
		'selector'            => '.home-blog .title h6',
		'settings'            => 'blog_title',
		'render_callback'  => 'mobilerepaircenter_blog_title_render_callback',
	
	) );
	
	// blog_subtitle
	$wp_customize->selective_refresh->add_partial( 'blog_subtitle', array(
		'selector'            => '.home-blog .title h2',
		'settings'            => 'blog_subtitle',
		'render_callback'  => 'mobilerepaircenter_blog_subtitle_render_callback',
	
	) );
	
	// blog_description
	$wp_customize->selective_refresh->add_partial( 'blog_description', array(
		'selector'            => '.home-blog .title p',
		'settings'            => 'blog_description',
		'render_callback'  => 'mobilerepaircenter_blog_description_render_callback',
	
	) );	
	}

add_action( 'customize_register', 'mobilerepaircenter_blog_section_partials' );

// blog_title
function mobilerepaircenter_blog_title_render_callback() {
	return get_theme_mod( 'blog_title' );
}

// blog_subtitle
function mobilerepaircenter_blog_subtitle_render_callback() {
	return get_theme_mod( 'blog_subtitle' );
}

// feature description
function mobilerepaircenter_blog_description_render_callback() {
	return get_theme_mod( 'blog_description' );
}


